Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000137 [cparser] compiler driver minor always 2014-02-22 10:57 2016-01-03 03:28
Reporter luzero View Status public  
Assigned To UniQ
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000137: cparser: ir/ana/constbits.c:137: set_bitinfo: Assertion `tarval_is_null(tarval_andnot(b->z, z))' failed.
Description CFLAGS="-m32 -D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -DHAVE_AV_CONFIG_H -std=c99 -fomit-frame-pointer -pthread -g -Wdeclaration-after-statement -Wall -Wpointer-arith -Wredundant-decls -Wcast-qual -Wwrite-strings -Wtype-limits -Wundef -Wmissing-prototypes
-Wstrict-prototypes -Wno-parentheses -Wno-switch-enum -Wno-other -O4 -Wno-missing-variable-declarations -Wno-empty-statement -MMD"

/usr/src/cparser/build/debug/cparser $CFLAGS -c -o out.o 000.c
Additional Information cparser 0.9.14(9c3273891d7db0eebdc5888c615f7a633db52efd)
libFirm 1.21(5766c304480376d34ca96dd92f9a1913eeabadae)
Tags No tags attached.
Attached Files c file icon 000.c [^] (4,253 bytes) 2014-02-22 10:57

- Relationships

-  Notes
(0000209)
UniQ (developer)
2014-02-24 14:49

Fixed in libfirm 9e2a92b91c18af9a755f72db708721dbc7956781.

- Issue History
Date Modified Username Field Change
2014-02-22 10:57 luzero New Issue
2014-02-22 10:57 luzero File Added: 000.c
2014-02-24 14:48 UniQ Assigned To => UniQ
2014-02-24 14:48 UniQ Status new => confirmed
2014-02-24 14:49 UniQ Note Added: 0000209
2014-02-24 14:49 UniQ Status confirmed => resolved
2014-02-24 14:49 UniQ Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker